'use strict';

require('./runStore-c9c2c566.js');

function addTab(tab) {
  setTimeout(() => {
    const evt = new CustomEvent("addCorejamMenuTab", {
      detail: { tab },
    });
    document.dispatchEvent(evt);
  }, 500);
}

function corejamRunGlobalScript () {
  addTab({
    header: "Dev",
    content: "corejam-dev-welcome",
    actions: ["fullscreen"],
  });
}

function corejamPluginCanvasGlobalScript () {
  addTab({
    header: "Builder",
    content: "corejam-builder",
  });
}

const globalScripts = () => {
  corejamPluginCanvasGlobalScript();
  corejamRunGlobalScript();
};

exports.globalScripts = globalScripts;
